<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


	if (!defined('CPO')) {
	   exit;
	}

  
	//Prepare profiletitle for filename
	if ($arrProfileSettings['profiletitle']!='') {
       $fileNameProfTitel = str_replace(" ","_",$arrProfileSettings['profiletitle'].'.txt');
	}

	//Write file
    $fileNewsticker = new filedir();
	$fileNewsticker->setFilename('newsticker.txt',
								$fileNameProfTitel,
 								$arrProfileSettings['tickerfilename']); 
	$fileNewsticker->setDirectory($arrProfileSettings['tickerdirectory'],
								 $activeModules['Latest News']['directory']); 
	$FullFilePath = $fileNewsticker->getFullFilePath();

	if ( file_exists($FullFilePath)	&& time()-filemtime($FullFilePath)<($arrProfileSettings['tickerTTL']*60*60) ) return; // younger than x hours
	
	//Content newsticker
 	if ($numberOfNews!=0) {
	   //Read news
	   $db_tickernews = new DB;
	   $db_tickernews->query($query_news);
	   
	   //Catch the content
	   ob_start();
		  //Run case 'makefile' in specified ticker
	   	  $scriptpart = 'makefile';
		  //Include specified tickerfile
  		  include(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_ticker/ticker_'.$arrProfileSettings['tickervariant'].'.inc.php');
		  //Get the content
	   	  $newsData = ob_get_contents();
	   //Clean up
	   ob_end_clean();

	   //Delete session-id(s)
	   $newsData = preg_replace("/".SID."/",'' , $newsData);

	   //Convert characters > 126
	   if ($arrProfileSettings['tickercharconversion']==1) {
		  $newsData = getConvertChars($newsData);
	   } 

	} else {
	  //No data
  	  $newsData = NULL;
	}

  	if ($arrProfileSettings['tickernoofcopys']!=0) {
  	   for ($copyNews=0;$copyNews<=$arrProfileSettings['tickernoofcopys'];$copyNews++) {
		   $tickerContent .= $newsData;
 	   }
  	   } else {
  	   	 $tickerContent = $newsData;
  	}

	$fileNewsticker->setContent($tickerContent,
							   $arrProfileSettings['nonews']); 

	$arrWriteResults = $fileNewsticker->writeFile(); 
	//There where errors!
  	if ($arrWriteResults[0]!=1) {
	   echo "<p style=\"color: red;\">".$arrWriteResults[1]."</p>";
  	   } else {
	   	 if ($arrProfileSettings['devmode']==1) {
   	   	 	echo "<p style=\"color: red;\">The Newsticker source <em>".$fileNewsticker->getFullFilePath()."</em> was successfully created!</p>" ;
		 }
	}

    unset($fileNewsticker);
  	
?>
