<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  if ((!defined('CPO')) || (!defined('MOD_LATEST_NEWS'))){
      exit;
      } else {
        define('MOD_SETUP',TRUE);
  }

  // workaround fr CPO 4.1.x
  $urlAnd = (version_compare($CPO['version'], '4.1.0') >= 0) ? '&' : '';

  //Module-Title and version (only for setup-messages!)
  $setup_moduletitle    = MOD_LATEST_NEWS_TITEL;
  $setup_moduleversion  = MOD_LATEST_NEWS_VERSION;

  //Template RSS-Feed
  $setupTemplates[__('RSS-Feed')] = array(
            'tpl_javascript'=>'<item>
                              <title><!-- VALUE: pub_date; format=d.m.Y H:i; --> - Artikel: <!-- VALUE: Title; strip_tags; --></title>
					  	                <!-- ifSet: Teaser; -->
					  	                <description>
					  	                <![CDATA[<!-- HTML: Teaser; -->]]>
					  	                </description>
					  	                <!-- /ifSet -->
					  	                <link><!-- URL: Indexsite; url;-->'.$urlAnd.'nr=<!-- Value: articlenr -->#<!-- Value: articlenr --></link>
					  	                </item>',
            'c_time'=>date('Y-m-d H:i:s'),
            'changer'=>$setup_moduletitle,

            'placeholder'=>array(
                            '1'=>array(
                                  'ttype'=>'5',
                                  'fieldname'=>'Indexsite',
                                  'ddata'=>'a:3:{s:5:"label";s:0:"";s:7:"noquery";s:1:"1";s:8:"linktype";s:1:"3";}'
                            ),
            )
  );

  //Template newsticker
  $setupTemplates[__('Newsticker')] = array(
            'tpl_javascript'=>'<a title="<!-- Value: Title; strip_tags; -->" href="<!-- URL: Indexsite; url; -->'.$urlAnd.'nr=<!-- Value: articlenr -->#<!-- Value: articlenr -->" target="_top">'
				 		                 .'<!-- Value: Title; strip_tags; --></a> +++ ',
            'c_time'=>date('Y-m-d H:i:s'),
            'changer'=>$setup_moduletitle,

            'placeholder'=>array(
                            '1'=>array(
                                  'ttype'=>'5',
                                  'fieldname'=>'Indexsite',
                                  'ddata'=>'a:3:{s:5:"label";s:0:"";s:7:"noquery";s:1:"1";s:8:"linktype";s:1:"3";}'
                            ),
            )
  );

  //Template news month overview
  $setupTemplates[__('News month overview')] = array(
            'tpl_first'=>'<li><a href="<!-- URL: art; url; -->'.$urlAnd.'nr=<!-- Value: articlenr -->#<!-- Value: articlenr -->">'
                        .'<!-- VALUE: pub_date; format=d.m --> - <!-- VALUE: Title; --></a></li>',
            'tpl_detail'=>NULL,
            'tpl_javascript'=>NULL,
            'c_time'=>date('Y-m-d H:i:s'),
            'changer'=>$setup_moduletitle,

            'placeholder'=>array(
                            '1'=>array(
                                  'ttype'=>'5',
                                  'fieldname'=>'art',
                                  'ddata'=>'a:2:{s:5:"label";s:0:"";s:8:"linktype";s:1:"3";}'
                            ),
            )
  );

  //Latest News
  $latestNews = array('devmode' => '0',
                      'profiletitle' => 'Latest News',
                      'displaypager' => '0',
                      'articlespersite' => '10',
                      'displaypager' => '1',
                      'pagershowresults' => '0',
                      'pagerposition' => '0',
                      'basedatefield' => 'pub_datum',
                      'poslimit' => '10',
                      'limittodate' => '0',
                      'datetosecond' => '0',
                      'firsttemplate' => '0',
                      'useseclevel' => '1',
                      'rubriclimit' => '0',
                      'rubricexclude' => '0',
                      'showinfirstformat' => '0',
                      'secondtemplate' => '0',
                      'showinsecondformat' => '0',
                      'thirdtemplate' => '0',
                      'startposition' => '0',
                      'randommode' => '0',
                      'noarticles' => 'Keine aktuellen News vorhanden!',
                      'grouping' => '0',
                      'groupheader' =>'<div id="###GROUPID###"><div style="background-color:  #dcdcdc"><h4>###GROUPTITLE###</h4></div><ul>',
                      'groupfooter' =>'</ul><div style="background-color: #dcdcdc">###GROUPARTICLES### article(s) in ###GROUPTITLE### published</div></div>',
                      'movearticleseparator' => '0',
                      'groupbydate' => '0',
                      'groupdateformat' => 'F Y',
                      'grouparticlelimit' => '0',
                      'grouplimit' => '3',
                      'displaycolumns' => '0',
                      'noofcolumns' => '2',
                      'displaycolumnsconst' => '1',
                      'minheightofcolumns' => '0',
                      'tablesettings' =>'<table border="0">',
                      'useasticker' => '0',
                      'tickervariant' => '0',
                      'tickerfilepath' => '0',
                      'tickernoofcopys' => '2',
                      'tickerbgcolor' => '#CCFF00',
                      'tickerwidth' => '400',
                      'tickerheight' => '20',
                      'tickerspeed' => '1',
                      'tickerstop' => '1',
                      'tickertemplate' =>'###'.__('Newsticker').'###',
                      'tickerdirectory' => 'mod_latest_news',
                      'nonews' => 'Keine aktuellen News vorhanden!',
                      'tickercharconversion' => '0',
                      'tickerposition' => '1',
                      'useasrss' => '0',
                      'feedtitle' => 'Ihr RSS-Feed-Titel!',
                      'feedwebsiteurl' => 'http://localhost/cpo403/',
                      'feeddescription' => 'Ihre RSS-Feed-Beschreibung!',
                      'feedlanguage' => 'de-DE',
                      'feedcopyright' => 'Ihr Copyright!',
                      'feedmaileditor' => 'bearbeiter@exmaple.com',
                      'feedmailwebmaster' => 'webmaster@exmaple.com',
                      'feedgenerator' => 'ConPresso 4.0 RSS-Feed-Generator',
                      'feeddocs' => 'http://blogs.law.harvard.edu/tech/rss',
                      'feedimage' => '0',
                      'feedtemplate' => '###'.__('RSS-Feed').'###',
                      'feeddirectory' => 'mod_latest_news',
                      'feedcharconversion' => '1',
                      'firstsortfield' => '0',
                      'firstsortdesc' => '0',
                      'secondsortfield' => '0',
                      'secondsortdesc' => '0',
                      'thirdsortfield' => '0',
                      'thirdsortdesc' => '0');

  //Latest Updates
  $latestUpdates = $latestNews;
  $latestUpdates['profiletitle'] = 'Latest Updates';
  $latestUpdates['basedatefield'] = 'last_modify';

  //Newsticker (horizontal)
  $horNewsticker = $latestNews;
  $horNewsticker['profiletitle'] = 'Newsticker (horizontal)';
  $horNewsticker['useasticker'] = '1';
  $horNewsticker['displaypager'] = '1';

  //Newsticker (vertical)
  $verNewsticker = $latestNews;
  $verNewsticker['profiletitle'] = 'Newsticker (vertikal)';
  $verNewsticker['useasticker'] = '1';
  $verNewsticker['tickervariant'] = '1';
  $verNewsticker['tickerwidth'] = '200';
  $verNewsticker['tickerheight'] = '100';
  $verNewsticker['displaypager'] = '1';
  
  //Newsticker IFrame
  $ifrNewsticker = $latestNews;
  $ifrNewsticker['profiletitle'] = 'Newsticker (IFrame)';
  $ifrNewsticker['useasticker'] = '1';
  $ifrNewsticker['tickerfilepath'] = '1';
  $ifrNewsticker['tickervariant'] = '2';
  $ifrNewsticker['tickerwidth'] = '200';
  $ifrNewsticker['tickerheight'] = '40';
  $ifrNewsticker['tickerspeed'] = '5000';
  $ifrNewsticker['tickerstop'] = '0';

  //Newsticker news selection
  $selNewsticker = $latestNews;
  $selNewsticker['profiletitle'] = 'News-Auswahl';
  $selNewsticker['useasticker'] = '1';
  $selNewsticker['tickerfilepath'] = '1';
  $selNewsticker['tickervariant'] = '3';
  $selNewsticker['tickerfilepath'] = '1';
  $selNewsticker['tickerwidth'] = '175';
  $selNewsticker['tickerheight'] = '1';
  $selNewsticker['tickernoofcopys'] = '0';
  $selNewsticker['tickerstop'] = '0';

  //Grouping news by date
  $grpNewsbydate = $latestNews;
  $grpNewsbydate['profiletitle'] = 'News-Monatsbersicht';
  $grpNewsbydate['firsttemplate'] = '###'.__('News month overview').'###';
  $grpNewsbydate['grouping'] = '1';
  $grpNewsbydate['groupbydate'] = '1';

  //Grouping news by rubric
  $grpNewsbyrubric = $latestNews;
  $grpNewsbyrubric['profiletitle'] = 'Rubrik-TOP3';
  $grpNewsbyrubric['articlespersite'] = '100';
  $grpNewsbyrubric['poslimit'] = '100';
  $grpNewsbyrubric['firsttemplate'] = '###'.__('News month overview').'###';
  $grpNewsbyrubric['grouping'] = '1';
  $grpNewsbyrubric['grouparticlelimit'] = '1';
  $grpNewsbyrubric['firstsortfield'] = 'name';
  $grpNewsbyrubric['firstsortdesc'] = '0';
  $grpNewsbyrubric['secondsortfield'] = 'pub_datum';
  $grpNewsbyrubric['secondsortdesc'] = '1';

  //Table latest news settings
  $setupTables[TBL_LATEST_NEWS] = array(
            'create_sql'=>"CREATE TABLE IF NOT EXISTS ".TBL_LATEST_NEWS." "
						   	  ."(profile_id int(11) unsigned NOT NULL auto_increment, "
					 	   	  ."profile_name varchar(255) default NULL, "
					 	   	  ."profile_base tinyint(1) unsigned default '0', "
							  ."rubric_alias int(11) unsigned NOT NULL default '0', "
						   	  ."settings text, "
						   	  ."profile_views text, "
						   	  ."PRIMARY KEY (profile_id));",
            'settings_sql'=>array("INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Latest News', "
                              ."'1', "
                              ."'".serialize($latestNews)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Latest Updates', "
                              ."'0', "
                              ."'".serialize($latestUpdates)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Newsticker (horizontal)', "
                              ."'0', "
                              ."'".serialize($horNewsticker)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Newsticker (vertikal)', "
                              ."'0', "
                              ."'".serialize($verNewsticker)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Newsticker (IFrame)', "
                              ."'0', "
                              ."'".serialize($ifrNewsticker)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('News-Auswahl', "
                              ."'0', "
                              ."'".serialize($selNewsticker)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('News-Monatsbersicht', "
                              ."'0', "
                              ."'".serialize($grpNewsbydate)."', "
                              ."'".$profile_views."');",
                            "INSERT INTO ".TBL_LATEST_NEWS." (profile_name, profile_base, settings,profile_views) "
                              ."VALUES('Rubrik-TOP3', "
                              ."'0', "
                              ."'".serialize($grpNewsbyrubric)."', "
                              ."'".$profile_views."');"
                              )

  );

?>
