<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  	define('CPO', true);
	require_once('../_include/checkaccess.inc.php');

	require(CPO_BASEDIR.'_include/var_category.php');
	require(CPO_BASEDIR.'_include/check.php');

	#-- Header --#
    require(CPO_BASEDIR.'_include/header.php');
	
	//Read profile by id
	if (isset($_GET['id'])) {
	   $query_profilename = "SELECT profile_name FROM ".TBL_LATEST_NEWS." "
	   					   ."WHERE profile_id=".$_GET['id'].";";

       $db_profilename = new DB;
	   $db_profilename->query($query_profilename);
	   $db_profilename->next_record();
 	}
    
	//Delete Profile
	if ($_POST['cmdYesDelete'] && isset($_GET['id'])) {
  	   $message[] = sprintf(___('The profile %s was successfully deleted.'), 
		 		  	'<em>'.htmlspecialchars($db_profilename->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>');

 	   $query_profile = "DELETE FROM ".TBL_LATEST_NEWS." "
					   ."WHERE profile_id=".$_GET['id'].";";
       $db_deleteprofile = new DB;
	   $db_deleteprofile->query($query_profile);

       unset($db_deleteprofile);
	}

	//Copy Profile
	if ($_REQUEST['action']=='profiles_duplicate' && isset($_GET['id'])) {
  	   $message[] = sprintf(___('The profile %s was successfully copied.'),
		 		  	'<em>'.htmlspecialchars($db_profilename->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>');

 	   $query_readprofile = "SELECT * FROM ".TBL_LATEST_NEWS." "
					   ."WHERE profile_id=".$_GET['id'].";";
       $db_readprofile = new DB;
	   $db_readprofile->query($query_readprofile);
	   $db_readprofile->next_record();

	   $temp_profile_name  = __('Copy of ').$db_readprofile->v('profile_name');
	   $temp_settings      = $db_readprofile->v('settings');
       $temp_profile_views = $db_readprofile->v('profile_views');

 	   $query_writeprofile = "INSERT INTO ".TBL_LATEST_NEWS." (profile_name,profile_base,settings, profile_views) "
                       ."VALUES('".$temp_profile_name."','0','".$temp_settings."','".$temp_profile_views."');";

       $db_writeprofile = new DB;
	   $db_writeprofile->query($query_writeprofile);

       unset($db_readprofile);
       unset($db_writeprofile);
	}

	#----- Profiles -----#
	switch ($_REQUEST['action']) {
	    
		//Ask for delete
		case 'profiles_reallydelete':
	   		 
			 //Header	       		        
			 printPageHeader(___('Delete profile'),
			 sprintf(___('Use the form below to delete the profile %s.'),
			 '<em>'.htmlspecialchars($db_profilename->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>'));
	          
			 $message = sprintf(___('Are you really sure you want to delete the profile %s and all containing settings?'),
             '<em>'.htmlspecialchars($db_profilename->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>');

			 //Form for users choise
			 $message .= '<form action="'.$_SERVER['PHP_SELF'].'?action=profiledelete&id='.$_GET['id'].'" method="post"">';
        	 $message .= '<input type="submit" name="cmdYesDelete" value="'.___('Yes, delete').'" />&nbsp;';
        	 $message .= '<input type="submit" name="cmdNoDelete" value="'.___('No, do not delete').'" />';
        	 $message .= '</form>';		
        	 
			 //Display form with message-function
			 include(CPO_BASEDIR.'_include/message.php');
			 
		break;

		//Display profiles
    default:
      //Header
      printPageHeader(__('Work on profiles'),
        __('In this view you can choose the profile you want to manage.'),
        tocLatestNewsHelp('settings','latest_news'),
        true,
        'modules'
        );
      ob_start();
        include(CPO_BASEDIR.$directory.'/_includes/system.inc.php');
        $systemContent = ob_get_contents();
      ob_end_clean();
      $LatesNewsForm = getLatestNewsLicense();
      include(CPO_BASEDIR.'_include/message.php');
      if (!$cpoSystemLatestNews['lkey']) {
        echo $systemContent;
      }


	  //Read profiles
      $query_profiles = "SELECT profile_id, profile_name, profile_base FROM ".TBL_LATEST_NEWS." "
        ."ORDER BY profile_name ASC;";

      $db_profiles = new DB;
      $db_profiles->query($query_profiles);
			 
	  //Display profile selection
    	if ($db_profiles->num_rows()!=0) {
              if ($LatesNewsForm) {
				$tblhead  = '<form action="'.$_SERVER['PHP_SELF'].'" method="post" name="frmSettings">';
      		 	$tblhead .= '<table class="ruler" style="width: 100%;">';
        	    $tblhead .= '<thead><tr><th style="width: 70%;"><span>'.__('[ID] Profile name').'</span></th>';
			 	$tblhead .= '<th><span>'.__('Manage').'</span></th></tr></thead>';
		   		   
		   	 	$tblbody  = '<tbody>';
				while ($db_profiles->next_record()) {
 					  $tblbody .= '<tr>'; 
	 				  $tblbody .= '<td class="leftrow">';
					  $tblbody .= '<strong>['.$db_profiles->v('profile_id').']</strong> '.$db_profiles->v('profile_name');
					  $tblbody .= ($db_profiles->v('profile_base')==1)? '&nbsp;<em>'.__('Base-profile!').'</em>' : NULL;
					  $tblbody .= '</td>';
 					  $tblbody .= '<td class="rightrow">';
       				  $tblbody .= '<a href="settings.php?id='.$db_profiles->v('profile_id').'"><img class="pic_" src="'.SKIN_URL.'pic_settings.gif" width="18" height="21" alt="'.__('Manage profile').'" title="'.__('Manage profile').'" border="0"></a>';
       				  $tblbody .= '<a href="profiles.php?action=profiles_duplicate&id='.$db_profiles->v('profile_id').'"><img class="pic_" src="'.SKIN_URL.'pic_copy.gif" width="18" height="21" alt="'.__('Copy profile').'" title="'.__('Copy profile').'" border="0"></a>';
       				  $tblbody .= '<a href="index.php?profid='.$db_profiles->v('profile_id').'" target="_blank"><img class="pic_" src="images/pic_preview.gif" width="18" height="21" alt="'.__('preview profile').'" title="'.__('preview profile').'" border="0"></a>';
       				  $tblbody .= '<a href="profiles.php?action=profiles_reallydelete&id='.$db_profiles->v('profile_id').'"><img class="pic_" src="'.SKIN_URL.'pic_del.gif" width="18" height="21" alt="'.__('Delete profile').'" title="'.__('Delete profile').'" border="0"></a>';
					  $tblbody .= '</tr>';		
		  		}
                $tblbody .=	'</tbody></table>';
				$tblbody .=	'</form>';
        
		   	 	echo $tblhead;
				echo $tblbody;
              } else {
			  	  include(CPO_BASEDIR.'_include/message.php');
              }
              if ($cpoSystemLatestNews['lkey']) echo $systemContent;
			 } else {
			  	  $message[] = __('No profiles found.');
			  	  include(CPO_BASEDIR.'_include/message.php');
             }
		break;
	}

	#-- Footer --#	
	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/module_info.inc.php');
    require(CPO_BASEDIR.'_include/footer.php');

?>
