<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


//Check textfieldvalue
define('CHECK_NUMERIC',1);

//Array values
if ($arrViews['profilesettings']==FALSE) {
   $arrSettings['devmode']				= 	$frmSettings->verifyCheckbox($_POST['devmode']);
   $arrSettings['profiletitle'] 		=	$frmSettings->verifyTextfield($_POST['profiletitle']);
   $arrSettings['displaypager'] 		= 	$frmSettings->verifyCheckbox($_POST['displaypager']);
   $arrSettings['articlespersite'] 		= 	$frmSettings->verifyTextfield($_POST['articlespersite'],10,CHECK_NUMERIC);
   $arrSettings['pagerprevious'] 	 	= 	$frmSettings->verifyTextfield($_POST['pagerprevious']);
   $arrSettings['pagernext']			= 	$frmSettings->verifyTextfield($_POST['pagernext']);
   $arrSettings['pagershowresults'] 	= 	$frmSettings->verifyCheckbox($_POST['pagershowresults']);
   $arrSettings['pagerfound'] 		 	= 	$frmSettings->verifyTextfield($_POST['pagerfound']);
   $arrSettings['pagerresults'] 		= 	$frmSettings->verifyTextfield($_POST['pagerresults']);
   $arrSettings['pagerposition'] 	 	=	$frmSettings->verifyOptionfield($_POST['pagerposition']);
   $arrSettings['pagetemplate_index'] 	=	$frmSettings->verifyTextfield($_POST['pagetemplate_index'],0,CHECK_NUMERIC);
}

if ($arrViews['settings']==FALSE) {
   $arrSettings['basedatefield']      = $_POST['basedatefield'];
   $arrSettings['templatelimit']      =	$_POST['templatelimit'];
   $arrSettings['poslimit']           = $frmSettings->verifyTextfield($_POST['poslimit'],10,1);
   $arrSettings['limittodate']        = $frmSettings->verifyCheckbox($_POST['limittodate']);
   $arrSettings['datetosecond']       = $frmSettings->verifyCheckbox($_POST['datetosecond']);
   $arrSettings['firsttemplate']      = $_POST['firsttemplate'];
   $arrSettings['useseclevel']        = $frmSettings->verifyCheckbox($_POST['useseclevel']);
   $arrSettings['rubriclimit']        = $frmSettings->verifyCheckbox($_POST['rubriclimit']);
   $arrSettings['rubriclist']         = $frmSettings->verifySelectfield($_POST['rubriclist']);
   $arrSettings['rubricexclude'] 	 	  = $frmSettings->verifyCheckbox($_POST['rubricexclude']);
   $arrSettings['showinfirstformat']	= $frmSettings->verifyTextfield($_POST['showinfirstformat'],0,CHECK_NUMERIC);
   $arrSettings['secondtemplate']	 	  =	$_POST['secondtemplate'];
   $arrSettings['showinsecondformat'] = $frmSettings->verifyTextfield($_POST['showinsecondformat'],0,CHECK_NUMERIC);
   $arrSettings['thirdtemplate']      =	$_POST['thirdtemplate'];
   $arrSettings['articleseparator']	 	=	$frmSettings->verifyTextfield($_POST['articleseparator']);
   $arrSettings['startposition']      =	$frmSettings->verifyTextfield($_POST['startposition'],0,CHECK_NUMERIC);
   $arrSettings['randommode']         = $frmSettings->verifyCheckbox($_POST['randommode']);
   $arrSettings['noarticles']         = $frmSettings->verifyTextfield($_POST['noarticles']);
}

if ($arrViews['output']==FALSE) {
   $arrSettings['displaycolumns']	 	=	$frmSettings->verifyCheckbox($_POST['displaycolumns']);
   $arrSettings['noofcolumns']		 	= 	$frmSettings->verifyTextfield($_POST['noofcolumns'],2,CHECK_NUMERIC);
   $arrSettings['displaycolumnsconst']	=	$frmSettings->verifyCheckbox($_POST['displaycolumnsconst']);
   $arrSettings['minheightofcolumns']	=	$frmSettings->verifyTextfield($_POST['minheightofcolumns'],0,CHECK_NUMERIC);
   $arrSettings['tablesettings']		=	$frmSettings->verifyTextfield($_POST['tablesettings']);
}

if ($arrViews['newsticker']==FALSE) {
   $arrSettings['useasticker']          = $frmSettings->verifyCheckbox($_POST['useasticker']);
   $arrSettings['tickervariant']		    =	$_POST['tickervariant'];
   $arrSettings['tickerfilepath']       = $frmSettings->verifyCheckbox($_POST['tickerfilepath']);
   $arrSettings['tickerwidth']          =	$frmSettings->verifyTextfield($_POST['tickerwidth'],300,CHECK_NUMERIC);
   $arrSettings['tickerheight']         =	$frmSettings->verifyTextfield($_POST['tickerheight'],25,CHECK_NUMERIC);
   $arrSettings['tickerspeed']          =	$frmSettings->verifyTextfield($_POST['tickerspeed'],2,CHECK_NUMERIC);
   $arrSettings['tickerTTL']            =	$frmSettings->verifyTextfield($_POST['tickerTTL'],0,CHECK_NUMERIC);
   $arrSettings['tickerbgcolor']        =	$frmSettings->verifyTextfield($_POST['tickerbgcolor']);
   $arrSettings['tickerstop']           = $frmSettings->verifyCheckbox($_POST['tickerstop']);
   $arrSettings['tickerposition']       =	$frmSettings->verifyOptionfield($_POST['tickerposition']);
   $arrSettings['tickernoofcopys']      =	$frmSettings->verifyTextfield($_POST['tickernoofcopys'],0,CHECK_NUMERIC);
   $arrSettings['tickertemplate']       = $_POST['tickertemplate'];
   $arrSettings['tickerdirectory']      = $_POST['tickerdirectory'];
   $arrSettings['tickerfilename']       = $frmSettings->verifyTextfield(trim($_POST['tickerfilename']));
   $arrSettings['nonews'] 	 	 		      = $frmSettings->verifyTextfield($_POST['nonews']);
   $arrSettings['tickercharconversion']	=	$frmSettings->verifyCheckbox($_POST['tickercharconversion']);
}


if ($arrViews['rss']==FALSE) {
   $arrSettings['useasrss']				=	$frmSettings->verifyCheckbox($_POST['useasrss']);
   $arrSettings['feedtitle']			=	$frmSettings->verifyTextfield(trim($_POST['feedtitle']),__('Ihr RSS-Feed-Titel!'));
   $arrSettings['feedwebsiteurl']		=	$frmSettings->verifyTextfield(trim($_POST['feedwebsiteurl']),BASE_ABS);
   $arrSettings['feeddescription']		=	$frmSettings->verifyTextfield(trim($_POST['feeddescription']),__('Your RSS-feed description!'));
   $arrSettings['feedlanguage']			=	$frmSettings->verifyTextfield(trim($_POST['feedlanguage']));
   $arrSettings['feedcopyright']		=	$frmSettings->verifyTextfield(trim($_POST['feedcopyright']));
   $arrSettings['feedmaileditor']		=	$frmSettings->verifyTextfield(trim($_POST['feedmaileditor']));
   $arrSettings['feedmailwebmaster']	=	$frmSettings->verifyTextfield(trim($_POST['feedmailwebmaster']));
   $arrSettings['feedgenerator']		=	$frmSettings->verifyTextfield(trim($_POST['feedgenerator']));
   $arrSettings['feeddocs']				=	$frmSettings->verifyTextfield(trim($_POST['feeddocs']));
   $arrSettings['feedimage']			=	$_POST['feedimage'];
   $arrSettings['feedtemplate']			=	$_POST['feedtemplate'];
   $arrSettings['feeddirectory']		=	$_POST['feeddirectory'];
   $arrSettings['feedfilename']			=	$frmSettings->verifyTextfield(trim($_POST['feedfilename']));
   $arrSettings['feedcharconversion']	=	$frmSettings->verifyCheckbox($_POST['feedcharconversion']);
   $arrSettings['feedTTL']              =	$frmSettings->verifyTextfield($_POST['feedTTL'],0,CHECK_NUMERIC);
}

if ($arrViews['group']==FALSE) {
   $arrSettings['grouping']             =	$frmSettings->verifyCheckbox($_POST['grouping']);
   $arrSettings['groupglobalheader']    =	$frmSettings->verifyTextfield($_POST['groupglobalheader']);
   $arrSettings['groupheader']          =	$frmSettings->verifyTextfield($_POST['groupheader']);
   $arrSettings['groupfooter']          =	$frmSettings->verifyTextfield($_POST['groupfooter']);
   $arrSettings['groupglobalfooter']    =	$frmSettings->verifyTextfield($_POST['groupglobalfooter']);
   $arrSettings['groupbydate']          =	$frmSettings->verifyCheckbox($_POST['groupbydate']);
   $arrSettings['groupdateformat']		 	= $frmSettings->verifyTextfield($_POST['groupdateformat'],'d.m.Y');
   $arrSettings['grouparticlelimit']    = $frmSettings->verifyCheckbox($_POST['grouparticlelimit']);
   $arrSettings['grouplimit']           = $frmSettings->verifyTextfield($_POST['grouplimit'],3,CHECK_NUMERIC);
   $arrSettings['movearticleseparator'] =	$frmSettings->verifyCheckbox($_POST['movearticleseparator']);
}

if ($arrViews['sort']==FALSE) {
   $arrSettings['firstsortfield']		=	$_POST['firstsortfield'];
   $arrSettings['firstsortdesc']		=	$frmSettings->verifyCheckbox($_POST['firstsortdesc']);
   $arrSettings['secondsortfield']		=	$_POST['secondsortfield'];
   $arrSettings['secondsortdesc']		=	$frmSettings->verifyCheckbox($_POST['secondsortdesc']);
   $arrSettings['thirdsortfield']		=	$_POST['thirdsortfield'];
   $arrSettings['thirdsortdesc']		=	$frmSettings->verifyCheckbox($_POST['thirdsortdesc']);
}
?>
