<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


	if (!defined('CPO')) exit;

  //Set tmpgroupvalue, group- and topcounter
  $tmpGroupvalue = NULL;
  $groupCounter = 1;
  $topCounter = 0;

  //Set placeholder for groupglobalheader
  $arrPlaceholderGlobalHeader = array('###GROUPINGTITLE###');

  //Set placeholder for groupheader/groupfooter
  $arrPlaceholderHeader = array('###GROUPID###','###GROUPTITLE###');
  $arrPlaceholderFooter = array('###GROUPARTICLES###','###GROUPTITLE###');

  //Show article separator before first article
  if ($arrSettings['movearticleseparator']==1) {
    $articleSeparator = $arrSettings['articleseparator'];
  }

  //[1]Workaround for "stuttering output"
  #ob_start();

  //Grouping header
  echo str_replace($arrPlaceholderGlobalHeader,
        array($arrSettings['profiletitle']),
        $arrSettings['groupglobalheader']);

  while ($db_news->next_record()) {
    $newsCounter++;
    //Set groupfield
    $actGroupvalue = $db_news->v($grpField);
    //Free groupingcode
    $groupingCode = NULL;

    if (!$tmpGroupvalue) {
      //Start first grouping
      $topCounter++;
      //Group by date
      if ($arrSettings['groupbydate']==1) {
        $actGroupvalue = $translator->getDateTranslation(date($arrSettings['groupdateformat'],strtotime($actGroupvalue)));
      }
      //Generate first groupheader
      $tmpGroupHeader = str_replace($arrPlaceholderHeader,
                        array($groupCounter,$actGroupvalue),
                        $arrSettings['groupheader']);
      //groupheader
      $groupingCode = $tmpGroupHeader;
      } else {
        //Start next grouping
        $topCounter++;
        //Group by date
        if ($arrSettings['groupbydate']==1) {
          $tmpGroupvalue = $translator->getDateTranslation(date($arrSettings['groupdateformat'],strtotime($tmpGroupvalue)));
          $actGroupvalue = $translator->getDateTranslation(date($arrSettings['groupdateformat'],strtotime($actGroupvalue)));
        }
        //Change grouping
        if ($tmpGroupvalue!=$actGroupvalue){
          //Generate groupfooter
          $tmpGroupFooter = str_replace($arrPlaceholderFooter,
                            array(($topCounter-1),$tmpGroupvalue),
                            $arrSettings['groupfooter']);
          $groupCounter++;
          //Generate new groupheader
          $tmpGroupHeader = str_replace($arrPlaceholderHeader,
                            array($groupCounter,$actGroupvalue),
                            $arrSettings['groupheader']);
          //groupfooter and new groupheader
          $groupingCode = $tmpGroupFooter.$tmpGroupHeader;
          //Reset topcounter
          $topCounter=1;
        }
    }

    //Limit articles
    switch ($arrSettings['grouparticlelimit']) {
        case 1:
          if ($topCounter<=$arrSettings['grouplimit']) {
            //Article sperator
            echo $groupingCode.$articleSeparator;
            //Display content
    	  	  require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/set_template.inc.php');
            require(CPO_BASEDIR.'_include/select_template.php');
            //Set article sperator
            $articleSeparator = $arrSettings['articleseparator'];
          } else {
            //Adjust topcounter
            $topCounter--;
          }
        break;
        default:
          //Article sperator
          echo $groupingCode.$articleSeparator;
          //Display content
    	  	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/set_template.inc.php');
          require(CPO_BASEDIR.'_include/select_template.php');
          //Set article sperator
    			$articleSeparator = $arrSettings['articleseparator'];
        break;
    }

    //Set groupfield
    $tmpGroupvalue = $db_news->v($grpField);

    //[2]Workaround for "stuttering output"
    #$strGroupingContent = ob_get_contents();

  }

  //Generate and display final groupfooter
  echo  str_replace($arrPlaceholderFooter,
                    array($topCounter,$actGroupvalue),
                    $arrSettings['groupfooter']);

  //Grouping footer
  echo $arrSettings['groupglobalfooter'];

  //[3]Workaround for "stuttering output"
  #ob_end_clean();
  #echo $strGroupingContent;
?>
