<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  if (!defined('CPO')) exit;
 
  $arrOptions = array();
  $db_mod_system = new DB;

  //auslesen
  $query_mod_system = "SELECT * FROM ".CPO_OPTION." "
  					 ."WHERE type = 'system_latest_news';";

  $db_mod_system->query($query_mod_system);
  
  //erstellen  
  if ($db_mod_system->num_rows()==0) {
  	 $arrOptions = array('owner'=>$cpoSystem['owner'],
	   			   'lkey'=>'',
                   'installed'=>time(),
		  		   'timecheck'=>time());
  
  	 $query_add_mod_system = "INSERT INTO ".CPO_OPTION." (type,options) "
  	 					    ."VALUES('system_latest_news','".serialize($arrOptions)."');"; 

  	 $db_mod_system->query($query_add_mod_system);
  } else {
  	   $db_mod_system->next_record();
  	   $arrOptions = unserialize($db_mod_system->v('options'));
  }
  
  //speichern
  if ($_POST['lizence']) {
	 $arrOptions = array('owner'=>trim($_POST['cpoSystemLatestNews']['owner']),
	 			   'lkey'=>trim($_POST['cpoSystemLatestNews']['lkey']),	
                   'installed'=>$arrOptions['installed'],
				   'timecheck'=>time());
  
 	 $query_write_mod_system = "UPDATE ".CPO_OPTION." "
	  						  ."SET options = '".serialize($arrOptions)."' "
							  ."WHERE type = 'system_latest_news';";

 	 $db_mod_system->query($query_write_mod_system);

      //auslesen
      $query_mod_system = "SELECT * FROM ".CPO_OPTION." "
                         ."WHERE type = 'system_latest_news';";

      $db_mod_system->query($query_mod_system);
  	  $db_mod_system->next_record();
  	  $arrOptions = unserialize($db_mod_system->v('options'));
  }

  $cpoSystemLatestNews = $arrOptions;

?>
    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" name="modlicense">
 
    <table class="colored" style="width: 100%"><thead>
        <tr>
            <th colspan="2"><span><?php echo __('License'); ?></span></th>
        </tr>
    </thead><tbody>
        <tr>
            <td class="leftrow"><?php echo ___('License type:'); ?></div></td>
            <td class="rightrow">
                <?php
                switch (license($cpoSystemLatestNews['lkey'],8)) {
                case 1:
                    echo ___('commercial license');
                    break;
                case 2:
                    echo __('non commercial license');
                    break;
                case 3: 
                    echo ___('test license');
                    break;
                case 4:
                    echo ___('expired test license');
                    break;
                case 5:
                    echo ___('school license');
                    break;
                case false:
                    echo ___('unregistered version');
                    break;
                default:
                    echo ___('unknown license type');
                }
                ?><br />
            </td>
        </tr><tr>
            <td class="leftrow"><?php echo __('Licensee:'); ?></td>
            <td class="rightrow">
                <input type="text" class="text inputwidth" name="cpoSystemLatestNews[owner]" value="<?php print(htmlspecialchars($cpoSystemLatestNews['owner'], ENT_COMPAT, 'ISO-8859-15')); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('License key:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemLatestNews[lkey]" value="<?php print(htmlspecialchars($cpoSystemLatestNews['lkey'], ENT_COMPAT, 'ISO-8859-15')); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('Used product version:'); ?></td>
            <td>
                <?php print(htmlspecialchars(MOD_LATEST_NEWS_VERSION, ENT_COMPAT, 'ISO-8859-15')); ?> installed on <?php print(date("F j, Y, g:i a",$cpoSystemLatestNews['installed'])); ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" name="lizence" value="<?php echo __('save license'); ?>">
            </td>
        </tr>
    </tbody></table>
 
    </form>
