<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


	if (!defined('CPO')) exit;

	#----- Templates -----#
	
	//Read all templates
  $query_templates = "SELECT id, name FROM ".CPO_TEMPLATES." ORDER BY name ASC;";
  $db_templates = new DB;
  $db_templates->query($query_templates);
	
	//Basevalue [Rubric template]
	$arrTemplates[0] = __('[Rubric template]');

	$arrOnlyTemplate[0] = __('--- No template limit ---');

	while ($db_templates->next_record()) {
	   	  $arrTemplates[$db_templates->v('id')] = $db_templates->v('name'); 
        $arrOnlyTemplate[$db_templates->v('id')] = $db_templates->v('name');
	}

	#----- Rubrics -----#
 	 	
  //Read all rubrics
  $query_rubrics = "SELECT id, name FROM ".CPO_RUBRIC." ORDER BY name;";
  $db_rubrics = new DB;
  $db_rubrics->query($query_rubrics);

  $arrRubricalias['0'] = __('--- No rubric alias ---');

	while ($db_rubrics->next_record()) {
	   	  $arrRubrics [$db_rubrics->v('id')] = $db_rubrics->v('name');
	   	  $arrRubricalias [$db_rubrics->v('id')] = $db_rubrics->v('name');
	}

	#----- Sortfields -----#	

  $arrSortfields['0']             = __('----');
  $arrSortfields['pub_datum']	    = __('Publication date');
  $arrSortfields['last_modify']   = __('Date of last modification');
  $arrSortfields['release_date']  = __('Release date');
  $arrSortfields['verfallsdatum'] = __('Expiration date');
  $arrSortfields['datum']         = __('Creation date');
  $arrSortfields['titel']         = __('Article title');
  $arrSortfields['autor']         = __('Article author');
  $arrSortfields['initial']       = __('Author initials');
  $arrSortfields['email']         = __('Author e-mail');
  $arrSortfields['article_nr']    = __('Article nr');
  $arrSortfields['keywords']      = __('Keywords');
  $arrSortfields['commentary']    = __('Commentary');
  $arrSortfields['rubric_id']     = __('Rubric-id');
  $arrSortfields['name']          = __('Rubric-name');
  $arrSortfields['idx']           = __('Index');
  $arrSortfields['sort_id']       = __('Manual index');

	#----- Navigation position -----#	

	$arrPagerpostition[0]		 = __('left');
	$arrPagerpostition[1]		 = __('center');
	$arrPagerpostition[2]		 = __('right');

	#------ Pictures -----#
	
	//Read all (free) pictures
	$query_images = "SELECT * FROM ".CPO_DATA." WHERE "
				   ."rubric_id<0 AND format=2 ORDER BY datei ASC";
	$db_images = new DB;
	$db_images->query($query_images);
	 
	//Basevalue [No picture]
	$arrImages[0] = __('--- No picture ---');
	 
	while ($db_images->next_record()) {
		  $arrImages[$db_images->v('id')] = $db_images->v('datei');
	}

	#------ Directorys -----#

	//Read all files & directorys in CPO-root
	$cpoDir = dir(CPO_BASEDIR);
	while ($getDirs = $cpoDir->read()){
		  if (ini_get('safe_mode')) {
	   	   	 // Do it the safe mode way
	 	   	 if (is_dir(CPO_BASEDIR.$getDirs)) {
		   	  	if (($getDirs!=".") && ($getDirs!="..") && (substr($getDirs,0,1)!="_")) {
		 	  	   $arrDirectorys[$getDirs] = $getDirs;
		      	}
		   	 }
	   	   	 } else {
	   	   	   // Do it the regular way
			   //Only directorys ...
			   if (filetype(CPO_BASEDIR.$getDirs)=='dir') {
			  	  //... and no upper directorys and no directorys with _
		  	 	  if (($getDirs!=".") && ($getDirs!="..") && (substr($getDirs,0,1)!="_")) {
		 	 	   	 $arrDirectorys[$getDirs] = $getDirs;
		          }
		       }
	   	  }
    }
	$cpoDir->close();

	#------ Newsticker -----#

	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_ticker/ticker_definitions.inc.php');

?>
