<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


	#---- from: index.inc.php ----
	if (!defined('CPO')) {
	   exit;
	}
	
 	$maxColumns = $arrSettings['noofcolumns']; 
	$rowCounter = 0;

	//Width columns
 	if ($arrSettings['displaycolumnsconst']==1) {
	  $tdWidth = ' width="'.(round((100/$maxColumns),2)).'%"'; 
	  } else {
 	  	$tdWidth = NULL;
	}

	//Height columns
 	if ($arrSettings['minheightofcolumns']!=0) {
	  $tdHeight = 'height="'.$arrSettings['minheightofcolumns'].'"'; 
	  } else {
 	  	$tdHeight = NULL;
	}

	$tdProperty = trim($tdWidth.' '.$tdHeight);

	//Generate table		  
 	if ($arrSettings['tablesettings']!='') { 
	   $tblLatestNews = ($arrSettings['tablesettings']);
	   } else { 
	   	 $tblLatestNews = '<table border="1">';
		 }

	$articleSeparator = '';
	while ($db_news->next_record()) {
		  $newsCounter++;
    	  require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/set_template.inc.php');

		  if ($rowCounter==0) {
 		  	 $tblLatestNews .= '<tr><td '.$tdProperty.'>';
		   	 } else {
		       $tblLatestNews .= '<td '.$tdProperty.'>';
		  } 

		  //Catch contents
		  ob_start();
		  echo $articleSeparator;
		  require(CPO_BASEDIR.'_include/select_template.php');
 		  $tblLatestNews .= ob_get_contents();
	   	  ob_end_clean();		   
		  
		  $tblLatestNews .= '</td>';
		  $rowCounter++; 

		  if ($rowCounter==$maxColumns) { 
 	  	  	 $rowCounter=0;
 	  		 $tblLatestNews .= '</tr>';
		  	 $articleSeparator = $arrSettings['articleseparator'];
		  }
	} 

 	//Rest columns
	$restColumns = (ceil($newsCounter/$maxColumns) * $maxColumns)-$newsCounter;

	for($colCounter=0;$colCounter<$restColumns;$colCounter++) {
  	   $tblLatestNews .= '<td height="1" '.$tdWidth.'>'.$articleSeparator.'</td>'; 
	}

	if ($rowCounter==0){
	   $tblLatestNews .= '</table>';
	   } else {
	  	 $tblLatestNews .= '</tr></table>';
	}

	echo $tblLatestNews;
?>
