<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

  define('CPO', true);

  require_once('../_include/common.inc.php');
	require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/function.inc.php');

  //Clean all incoming data
  $_GET['tickerid'] = clean_values($_GET['tickerid']);

	//Coded ID before $_GET
	if (!isset($fixedTickerID)) {
       $fixedTickerID = $_GET['tickerid'];
 	   }

   	//Define sql-where
	if (isset($fixedTickerID)) {
	   $sqlWhere = 'profile_id='.$fixedTickerID;
	   } else {
	   	 $sqlWhere = "profile_base='yes'";
 	}

	//Read profile
	$query_tickersettings = "SELECT profile_id,settings FROM ".TBL_LATEST_NEWS." "
					 ."WHERE ".$sqlWhere.";";
      
	$db_tickersettings = new DB;
   	$db_tickersettings->query($query_tickersettings);

	//Read profile with the highest id
	if ($db_tickersettings->num_rows()==0) {
	   $query_tickersettings = "SELECT profile_id, settings FROM ".TBL_LATEST_NEWS." "
	   				    ."ORDER BY profile_id DESC;";	

   	   $db_tickersettings->query($query_tickersettings);
	}
	
	//There were no settings...!
    if ($db_tickersettings->num_rows()==0) { 
	   $noTicker=TRUE; 
	   } else {
	   	 //Read settings	   
		 $db_tickersettings->next_record();
		 $arrProfileSettings	= unserialize($db_tickersettings->v('settings'));

		 //If 'profile as news ticker' is not activated...
    	 if ($arrProfileSettings['useasticker']==0) { 
	   	 	 $noTicker=TRUE; 
		 } else {
		   //read file
		   require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_classes/class_filedir.php');

	if ($arrProfileSettings['profiletitle']!='') {
       $fileNameProfTitel = str_replace(" ","_",$arrProfileSettings['profiletitle'].'.txt');
	}

    	   $fileNewsticker = new filedir();
		   $fileNewsticker->setFilename('newsticker.txt', 
		   							  $fileNameProfTitel,
				 					  $arrProfileSettings['tickerfilename']); 
		   $fileNewsticker->setDirectory($arrProfileSettings['tickerdirectory'],
										$activeModules['Latest News']['directory']); 

           if ($arrProfileSettings['tickerfilepath']==1) {
               //Ticker needs filepath to sourcefile only
	   	       $tickerPath = $fileNewsticker->getFullFilePath();
               $tickerContent = 'Wrong configuration! Disable "Only filepath required:"';
               } else {
                 //Ticker needs content from sourcefile
	   	         $tickerPath = $fileNewsticker->getFullFilePath();
		         $tickerContent = str_replace(array("\n","\r"),'',$fileNewsticker->readFile());
           }
    	 }
	}
	
	//Dipslay ticker, if content exist
	if ((!$noticker) && ($tickerContent!='')) {

	   if ($arrProfileSettings['tickerbgcolor']=='') {
	   	  $arrProfileSettings['tickerbgcolor'] = 'transparent';
	   }
	   
	   //Newsticker position
	   $arrTickerPos = array();
 	   $arrTickerPos[0] = 'left';
  	   $arrTickerPos[1] = 'center';
   	   $arrTickerPos[2] = 'right';

	   echo '<div align="'.$arrTickerPos[$arrProfileSettings['tickerposition']].'">';
	   		//Include specified ticker
		   	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_ticker/ticker_'.$arrProfileSettings['tickervariant'].'.inc.php');
	   echo '</div>';   	
	}
?>
