<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

  	define('CPO', true);
	require_once('../_include/checkaccess.inc.php');

	require(CPO_BASEDIR.'_include/var_category.php');
	require(CPO_BASEDIR.'_include/check.php');

	require(CPO_BASEDIR.$directory.'/_includes/system_values.inc.php');
	require(CPO_BASEDIR.$directory.'/_classes/class_form.php');

    $LatesNewsForm = getLatestNewsLicense();

  #-- Header --#
  require(CPO_BASEDIR.'_include/header.php');

	$is_valid_query = FALSE;
	
	//Read profile by id
	if (isset($_GET['id'])) {
       $query_profile = "SELECT profile_id, profile_name, profile_base, rubric_alias, settings, profile_views FROM ".TBL_LATEST_NEWS." "
	   				   ."WHERE profile_id=".$_GET['id'].";";

       $db_profile = new DB;
       $db_profile->query($query_profile);
       $db_profile->next_record();

	   //Exist profile?
	   if ($db_profile->v('profile_id')) {
	   	  $is_valid_query = TRUE;
	   } 

	   $arrViews = unserialize($db_profile->v('profile_views'));
	   $form_query = '?id='.$db_profile->v('profile_id');
	} 

	//New profile
	if ($_REQUEST['action']=='profiles_create') {
	   $is_valid_query = TRUE;
	   $form_query = '?action=profiles_new';
 	} 

	//Save new profile
	if ($_REQUEST['action']=='profiles_new') {
	   $is_valid_query = TRUE;
	} 

	//No profile or no valid access
	if ($is_valid_query == FALSE) {
	   printPageHeader(__('Edit Latest News-settings'), NULL);

	   $message [] = __('No profile found!');
	   include(CPO_BASEDIR."_include/message.php");
	   
	   #-- Footer --#	
	   require(CPO_BASEDIR.$directory.'/_includes/module_info.inc.php');
       require(CPO_BASEDIR.'_include/footer.php');
	   
	   exit;
	}

	//Form-Object
	$frmSettings = new form();

	//Save new profile
  if ($_POST['cmdSave'] && ($_REQUEST['action']=='profiles_new')) {
    //Non-Array values
    $_POST['profilename'] = $frmSettings->verifyTextfield(trim($_POST['profilename']));
    $_POST['baseprofile'] = $frmSettings->verifyCheckbox($_POST['baseprofile']);
    $_POST['rubricalias'] = $_POST['rubricalias'];

	   include(CPO_BASEDIR.$directory.'/_includes/check_values.inc.php');

	   //Verify profilename
	   if ($_POST['profilename']=='') {
	   	  $_REQUEST['action'] = 'profiles_create';
		  $form_query = '?action=profiles_new';

	   	  $message[] = __('Please give this profile a name.');

		  if (is_array($_POST['rubriclist'])) {		  
		  	 //Flip array - key ist value
		  	 $_POST['rubriclist'] = array_flip($_POST['rubriclist']);
		  
		  	 //0 is a valid key, but not a valid value :-(
		  	 $zeroKey = key($_POST['rubriclist']);
		  	 $_POST['rubriclist'][$zeroKey] = '1';
		  }		  

		  } else {
		  	
		  	//Reset all baseprofiles
			if ($_POST['baseprofile']==1) {
		  	   $query_profile_new[] = "UPDATE ".TBL_LATEST_NEWS." "
				 					 ."SET profile_base='0';";

	   	  	   $message[] = sprintf(___('The profile %s was set to base-profile.'), 
						  	'<em>'.htmlspecialchars($tmp_profilename, ENT_COMPAT, 'ISO-8859-15').'</em>');
			}

  	   	   	$query_profile_new[] = "INSERT INTO ".TBL_LATEST_NEWS." "
							 	  ."(profile_name, profile_base, rubric_alias, settings)"
		   	  	  		   	 	  ."VALUES ("
					   		 	  ."'".addslashes($_POST['profilename'])."', "
							 	  ."'".$_POST['baseprofile']."', "
							 	  ."'".$_POST['rubricalias']."', "
							 	  ."'".addslashes(serialize($arrSettings))."');";

	   	  	$db_saveprofile = new DB;

	   		//I want it all!, i want it all! - and i want it now!
	   		foreach ($query_profile_new as $queryKey=>$queryValue){
	   		   		$db_saveprofile->query($queryValue);
	   		} 

	  		$message[] = sprintf(___('The profile %s was successfully created.'), 
			  		   	 '<em>'.htmlspecialchars($tmp_profilename, ENT_COMPAT, 'ISO-8859-15').'</em>');
	
	   	  	//Read new profile by highest id
       	  	$query_profile_id = "SELECT profile_id FROM ".TBL_LATEST_NEWS." "
				 			   ."ORDER BY profile_id DESC;";

       	  	$db_profile = new DB;
       	  	$db_profile->query($query_profile_id);
       	  	$db_profile->next_record();
	   		
			$form_query = '?id='.$db_profile->v('profile_id');
			$_GET['id'] = $db_profile->v('profile_id');
	   		} 
	   }
   
	//Update settings
  if ($_POST['cmdSave'] && (isset($_GET['id'])) && (!$_REQUEST['action'])) {
    //Non-Array values
    if ($arrViews['profilesettings']==FALSE) {
      $_POST['profilename'] = $frmSettings->verifyTextfield(trim($_POST['profilename']),$db_profile->v('profile_name'));
      $_POST['baseprofile'] = $frmSettings->verifyCheckbox($_POST['baseprofile']);
      $_POST['rubricalias'] = $_POST['rubricalias'];
   	  } else {
        //For hidden sections
        $_POST['profilename'] = $db_profile->v('profile_name');
	   	$_POST['baseprofile'] = $db_profile->v('profile_base');
        $_POST['rubricalias'] = $db_profile->v('rubricalias');
    }

	   //For hidden sections
	   $arrSettings = unserialize($db_profile->v('settings'));

	   //Array values
	   include(CPO_BASEDIR.$directory.'/_includes/check_values.inc.php');

	   //Reset all baseprofiles
	   if ($_POST['baseprofile']==1) {
		  $query_profile_upd[] = "UPDATE ".TBL_LATEST_NEWS." "
		  					   	."SET profile_base='0';";
	   	  //Message
	   	  $message[] = sprintf(___('The profile %s was set to base-profile.'), 
			 		   '<em>'.htmlspecialchars($tmp_profilename, ENT_COMPAT, 'ISO-8859-15').'</em>');
		  }

	   //Update profile
       $query_profile_upd[] = "UPDATE ".TBL_LATEST_NEWS." "
	  		  		  		 ."SET profile_name = '".addslashes($_POST['profilename'])."', "
			  		  		 ."profile_base = '".$_POST['baseprofile']."', "
			  		  		 ."rubric_alias = '".$_POST['rubricalias']."', "
			  		  		 ."settings = '".addslashes(serialize($arrSettings))."' "
		   	  		  		 ."WHERE profile_id=".$db_profile->v('profile_id').";";

	   $db_saveprofile = new DB;
							 
	   //I want it all!, i want it all! - and i want it now!
	   foreach ($query_profile_upd as $queryKey=>$queryValue){
	   		   $db_saveprofile->query($queryValue);
	   } 

	   //Message
  	   $message[] = sprintf(___('The Latest News-settings for the profile %s have been successfully modified.'), 
		 		  	'<em>'.htmlspecialchars($db_profile->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>');
	   }
   
	#----- Actions -----   
	switch ($_REQUEST['action']) {   
	
		   case 'profiles_create':
				   //Header	       		        
	   			   printPageHeader(__('Create profile'),
	   			   __('Use the form below to create a new profile.'),
                    tocLatestNewsHelp('settings','latest_news'),
                    true,
                    'modules'
                    );
		   break;
	
		   default:
	   			   //Header
	   			   printPageHeader(__('Edit Latest News-settings'),
       			   sprintf(___('Please change the Latest News-settings for the profile %s below.'), '<em>'.htmlspecialchars($db_profile->v('profile_name'), ENT_COMPAT, 'ISO-8859-15').'</em>'),               	  	 
                    tocLatestNewsHelp('settings','latest_news'),
                    true,
                    'modules'
                    );

				   //Include samples
				   $includeSamples 	= '<tr><td class="leftrow">'.__('Include profiles:').'</td>';
       			   $includeSamples .= '<td class="rightrow"></td></tr>';
       			   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('PHP-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php include("'.BASE_ABS.$directory.'/index_php.php?profid='.$db_profile->v('profile_id').'"); ?&gt;&nbsp;'.help('').'</td></tr>';
	   			   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('Javascript-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;script language=&quot;JavaScript&quot; type=&quot;text/javascript&quot; src=&quot;'.BASE_ABS.$directory.'/index_js.php?profid='.$db_profile->v('profile_id').'&quot;&gt;&lt;/script&gt;&nbsp;'.help('').'</td></tr>';
       			   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('Newsticker-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php include("'.BASE_ABS.$directory.'/makefile.php?profid='.$db_profile->v('profile_id').'"); ?&gt;&nbsp;'.help('').'<br>';
	   			   $includeSamples .= '&lt;?php include("'.BASE_ABS.$directory.'/newsticker.php?tickerid='.$db_profile->v('profile_id').'"); ?&gt;&nbsp;'.help('').'</td></tr>';
               	   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('RSS-Feed-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php include("'.BASE_ABS.$directory.'/makefile.php?profid='.$db_profile->v('profile_id').'"); ?&gt;&nbsp;'.help('').'</td></tr>';

				   //Include samples w/ functions
       			   $includeSamples .= '<tr><td class="leftrow">'.__('PHP-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php LatestNews('.$db_profile->v('profile_id').'); ?&gt;</td></tr>';
       			   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('Newsticker-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php Makefile('.$db_profile->v('profile_id').'); Newsticker('.$db_profile->v('profile_id').'); ?&gt;</td></tr>';
               	   $includeSamples .= '<tr class="same"><td class="leftrow">'.__('RSS-Feed-variant:').'</td>';
	   			   $includeSamples .= '<td class="rightrow">&lt;?php Makefile('.$db_profile->v('profile_id').'); ?&gt;</td></tr>';
		           if (version_compare($CPO['version'], '4.1.0') >= 0) {
                       //Include samples CPO 4.1.x
                       $includeSamples 	.= '<tr><td class="leftrow">'.__('Page-templates:').'</td>';
                       $includeSamples .= '<td class="rightrow"></td></tr>';
                       $includeSamples .= '<tr class="same"><td class="leftrow">'.__('PHP-variant:').'</td>';
                       $includeSamples .= '<td class="rightrow">&lt;!-- function: LatestNews; '.$db_profile->v('profile_id').'; --&gt;</td></tr>';
                       $includeSamples .= '<tr class="same"><td class="leftrow">'.__('Newsticker-variant:').'</td>';
                       $includeSamples .= '<td class="rightrow">&lt;!-- function: Makefile; '.$db_profile->v('profile_id').'; --&gt;<br>';
                       $includeSamples .= '&lt;!-- function: Newsticker; '.$db_profile->v('profile_id').'; --&gt;</td></tr>';
                       $includeSamples .= '<tr class="same"><td class="leftrow">'.__('RSS-Feed-variant:').'</td>';
                       $includeSamples .= '<td class="rightrow">&lt;!-- function: Makefile; '.$db_profile->v('profile_id').'; --&gt;</td></tr>';
                   }
				   //Read all settings
    			   $query_settings = "SELECT profile_name, profile_base, rubric_alias, settings FROM ".TBL_LATEST_NEWS." "
				   				   	."WHERE profile_id=".$db_profile->v('profile_id').";";

    			   $db_settings = new DB;
    			   $db_settings->query($query_settings);
    			   $db_settings->next_record();

				   //Non-array values
				   $_POST['profilename'] = htmlspecialchars($db_settings->v('profile_name'), ENT_COMPAT, 'ISO-8859-15');  
				   $_POST['baseprofile'] = $db_settings->v('profile_base');
                   $_POST['rubricalias'] = $db_settings->v('rubric_alias');

				   //Array values
				   $arrSettings = unserialize($db_settings->v('settings'));

				   //Push to $_POST[]-array
				   foreach ($arrSettings as $settingKey=>$settingVal) {	
  				   		   $_POST[$settingKey] = $settingVal;
			   	   }

				   //Chosen Rubrics
				   $_POST['rubriclist'] = unserialize($arrSettings['rubriclist']);

				   break;
	} //Ende Switch

    //First - to be in the know, what's happend!
	include (CPO_BASEDIR."_include/message.php");

    if ($LatesNewsForm) {
	#----- ...and now - the settings form -----# 
	include(CPO_BASEDIR.$directory.'/_includes/form.inc.php');
    }

	#-- Footer --#	
	require(CPO_BASEDIR.$directory.'/_includes/module_info.inc.php');
    require(CPO_BASEDIR.'_include/footer.php');
?>
